Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 50569
Status: rejected
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: clive.darke [...] talk21.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.35
Fixed in: (no value)



Subject: Unable to install on 5.10.1 Win32
Download (untitled) / with headers
text/plain 2.8k
Fails in cpanp shell, -MCPAN, and manually. Tried versions 0.35 and 0.35_02, all fail in the same way. On perl v5.10.1 built for MSWin32-x86-multi-thread Binary build 1006 [291086] provided by ActiveState built Aug 24 2009 13:48:26 Build output after unzip using Winzip 9.0 SR-1: C:\Downloads\ModuleBuild>perl Build.PL Checking whether your kit is complete... WARNING: the following files are missing in your kit: contrib/bash_completion.module-build contrib/bundle.pl lib/Module/Build.pm lib/Module/Build/API.pod lib/Module/Build/Authoring.pod lib/Module/Build/Base.pm lib/Module/Build/Compat.pm lib/Module/Build/Config.pm lib/Module/Build/Cookbook.pm lib/Module/Build/Dumper.pm lib/Module/Build/ModuleInfo.pm lib/Module/Build/Notes.pm lib/Module/Build/Platform/aix.pm lib/Module/Build/Platform/Amiga.pm lib/Module/Build/Platform/cygwin.pm lib/Module/Build/Platform/darwin.pm lib/Module/Build/Platform/Default.pm lib/Module/Build/Platform/EBCDIC.pm lib/Module/Build/Platform/MacOS.pm lib/Module/Build/Platform/MPEiX.pm lib/Module/Build/Platform/os2.pm lib/Module/Build/Platform/RiscOS.pm lib/Module/Build/Platform/Unix.pm lib/Module/Build/Platform/VMS.pm lib/Module/Build/Platform/VOS.pm lib/Module/Build/Platform/Windows.pm lib/Module/Build/PodParser.pm lib/Module/Build/PPMMaker.pm lib/Module/Build/Version.pm lib/Module/Build/YAML.pm scripts/config_data t/actions/installdeps.t t/add_property.t t/basic.t t/bundled/Tie/CPHash.pm t/compat.t t/compat/exit.t t/debug.t t/destinations.t t/ext.t t/extend.t t/files.t t/help.t t/install.t t/install_extra_target.t t/lib/DistGen.pm t/lib/MBTest.pm t/manifypods.t t/mbyaml.t t/metadata.t t/metadata2.t t/moduleinfo.t t/mymeta.t t/new_from_context.t t/notes.t t/par.t t/parents.t t/PL_files.t t/pod_parser.t t/ppm.t t/properties/needs_compiler.t t/properties/share_dir.t t/README.pod t/runthrough.t t/sample.t t/script_dist.t t/signature.t t/test_file_exts.t t/test_type.t t/test_types.t t/tilde.t t/use_tap_harness.t t/versions.t t/write_default_maniskip.t t/xs.t Please inform the author. Checking prerequisites... Invalid version format (multiple underscores) at C:/Perl/lib/Module/Build/Module Info.pm line 330, <GEN0> line 45. Note that these files exist in the zip file but they are not within sub- directories.
Download (untitled) / with headers
text/plain 3.2k
On Fri Oct 16 11:46:00 2009, CLIVE wrote: Show quoted text
> Fails in cpanp shell, -MCPAN, and manually. Tried versions 0.35 and > 0.35_02, all fail in the same way. > On perl v5.10.1 built for MSWin32-x86-multi-thread > Binary build 1006 [291086] provided by ActiveState built Aug 24 2009 > 13:48:26 > Build output after unzip using Winzip 9.0 SR-1: > > C:\Downloads\ModuleBuild>perl Build.PL > Checking whether your kit is complete... > WARNING: the following files are missing in your kit: > contrib/bash_completion.module-build > contrib/bundle.pl > lib/Module/Build.pm > lib/Module/Build/API.pod > lib/Module/Build/Authoring.pod > lib/Module/Build/Base.pm > lib/Module/Build/Compat.pm > lib/Module/Build/Config.pm > lib/Module/Build/Cookbook.pm > lib/Module/Build/Dumper.pm > lib/Module/Build/ModuleInfo.pm > lib/Module/Build/Notes.pm > lib/Module/Build/Platform/aix.pm > lib/Module/Build/Platform/Amiga.pm > lib/Module/Build/Platform/cygwin.pm > lib/Module/Build/Platform/darwin.pm > lib/Module/Build/Platform/Default.pm > lib/Module/Build/Platform/EBCDIC.pm > lib/Module/Build/Platform/MacOS.pm > lib/Module/Build/Platform/MPEiX.pm > lib/Module/Build/Platform/os2.pm > lib/Module/Build/Platform/RiscOS.pm > lib/Module/Build/Platform/Unix.pm > lib/Module/Build/Platform/VMS.pm > lib/Module/Build/Platform/VOS.pm > lib/Module/Build/Platform/Windows.pm > lib/Module/Build/PodParser.pm > lib/Module/Build/PPMMaker.pm > lib/Module/Build/Version.pm > lib/Module/Build/YAML.pm > scripts/config_data > t/actions/installdeps.t > t/add_property.t > t/basic.t > t/bundled/Tie/CPHash.pm > t/compat.t > t/compat/exit.t > t/debug.t > t/destinations.t > t/ext.t > t/extend.t > t/files.t > t/help.t > t/install.t > t/install_extra_target.t > t/lib/DistGen.pm > t/lib/MBTest.pm > t/manifypods.t > t/mbyaml.t > t/metadata.t > t/metadata2.t > t/moduleinfo.t > t/mymeta.t > t/new_from_context.t > t/notes.t > t/par.t > t/parents.t > t/PL_files.t > t/pod_parser.t > t/ppm.t > t/properties/needs_compiler.t > t/properties/share_dir.t > t/README.pod > t/runthrough.t > t/sample.t > t/script_dist.t > t/signature.t > t/test_file_exts.t > t/test_type.t > t/test_types.t > t/tilde.t > t/use_tap_harness.t > t/versions.t > t/write_default_maniskip.t > t/xs.t > Please inform the author. > > Checking prerequisites... > Invalid version format (multiple underscores) at > C:/Perl/lib/Module/Build/Module > Info.pm line 330, <GEN0> line 45. > > Note that these files exist in the zip file but they are not within
sub- Show quoted text
> directories.
Update: resolved sub-directory difficulties by creating them from the error output (good old perl), but I still get the error: Invalid version format (multiple underscores) at lib/Module/Build/ModuleInfo.pm line 330, <GEN0> line 45.
Download (untitled) / with headers
text/plain 142b
This is a bug in Winzip as it is not POSIX-compliant, not a bug in Module::Build. c.f. http://rt.cpan.org/Public/Bug/Display.html?id=18720
Subject: Re: [rt.cpan.org #50569] Unable to install on 5.10.1 Win32
Date: Sat, 17 Oct 2009 11:48:07 +0000 (GMT)
To: bug-Module-Build [...] rt.cpan.org
From: clive.darke [...] talk21.com
Download (untitled) / with headers
text/plain 633b
How can this:   Invalid version format (multiple underscores) at lib/Module/Build/ModuleInfo.pm line 330, <GEN0> line 45.   be caused by winzip? --- On Fri, 16/10/09, David Golden via RT <bug-Module-Build@rt.cpan.org> wrote: From: David Golden via RT <bug-Module-Build@rt.cpan.org> Subject: [rt.cpan.org #50569] Unable to install on 5.10.1 Win32 To: clive.darke@talk21.com Date: Friday, 16 October, 2009, 5:31 PM <URL: https://rt.cpan.org/Ticket/Display.html?id=50569 > This is a bug in Winzip as it is not POSIX-compliant, not a bug in Module::Build.  c.f. http://rt.cpan.org/Public/Bug/Display.html?id=18720
Download (untitled) / with headers
text/plain 314b
On Sat Oct 17 07:48:33 2009, CLIVE wrote: Show quoted text
> How can this: >   > Invalid version format (multiple underscores) at > lib/Module/Build/ModuleInfo.pm > line 330, <GEN0> line 45. >   > be caused by winzip?
I don't know; perhaps that's a separate bug. Please file another ticket showing the output and your perl -V.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.